Subject: Re: [PATCH 0/4] ls-remote: introduce symref argument

From: Thomas Gummerer <[email-masked]>
Date: Sun, 17 Jan 2016 12:14:33 +0100

On 01/17, Thomas Gummerer wrote:
> > I thought it might be nice for any porcelain which tries to wrap
> > `ls-remote`, make some decision based on the capabilities, and then
> > invoke another plumbing command. But I guess that is probably slightly
> > crazy, and nobody is doing it.
> >
> > Something like `ls-remote --symrefs` probably would be a better place to
> > start.
>
> Turns out adding this is pretty simple.
>
> The first two patches are documentation, which I noticed when reading
> up about the command.  Patch three is a cleanup patch, which makes
> ls-remote use the parse-options api instead of the hand-rolled option
> parser.  Patch four is actually adding the option.

Sorry, I forgot to add --in-reply-to to git-send email.  For
reference, the thread that got me to do this patch series is at
http://thread.gmane.org/gmane.comp.version-control.git/284075.

> Thomas Gummerer (4):
>   ls-remote: document --quiet option
>   ls-remote: fix synopsis
>   ls-remote: use parse-options api
>   ls-remote: add support for showing symrefs
>
>  Documentation/git-ls-remote.txt | 12 +++++-
>  builtin/ls-remote.c             | 90 +++++++++++++++++------------------------
>  t/t5512-ls-remote.sh            | 20 +++++++++
>  3 files changed, 68 insertions(+), 54 deletions(-)
>
> --
> 2.7.0.14.g2b6d3d6
>